WinNT.TOKEN_PRIVILEGES (JNA API)

com.sun.jna.platform.win32

## Class WinNT.TOKEN_PRIVILEGES

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.TOKEN_PRIVILEGES

- Enclosing interface:
    WinNT

      @Structure.FieldOrder(value={"PrivilegeCount","Privileges"})
      public static class WinNT.TOKEN_PRIVILEGES
      extends Structure

  The TOKEN_PRIVILEGES structure contains information about a set of privileges for an access token.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `WinDef.DWORD` | `PrivilegeCount` This must be set to the number of entries in the Privileges array.
    `WinNT.LUID_AND_ATTRIBUTES[]` | `Privileges` Specifies an array of LUID_AND_ATTRIBUTES structures.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TOKEN_PRIVILEGES()` Creates an empty instance with no privileges.
    `TOKEN_PRIVILEGES(int nbOfPrivileges)`
    `TOKEN_PRIVILEGES(Pointer p)` Initialize a TOKEN_PRIVILEGES instance from initialized memory.

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PrivilegeCount

          public WinDef.DWORD PrivilegeCount

      This must be set to the number of entries in the Privileges array.

    - #### Privileges

          public WinNT.LUID_AND_ATTRIBUTES[] Privileges

      Specifies an array of LUID_AND_ATTRIBUTES structures. Each structure contains the LUID and attributes of a privilege.

  - ### Constructor Detail

    - #### TOKEN_PRIVILEGES

          public TOKEN_PRIVILEGES()

      Creates an empty instance with no privileges.

    - #### TOKEN_PRIVILEGES

          public TOKEN_PRIVILEGES(int nbOfPrivileges)

      Parameters:
        `nbOfPrivileges` - Desired size of the Privileges array

    - #### TOKEN_PRIVILEGES

          public TOKEN_PRIVILEGES(Pointer p)

      Initialize a TOKEN_PRIVILEGES instance from initialized memory.
      Parameters:
        `p` - base address

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.